Module: selenium-webdriver/firefox
View Source

# class Driver

    webdriver.WebDriver
      └ Driver

A WebDriver client for Firefox.

## new Driver(opt_config, opt_flow)

Parameters

opt_config`?Object=`

  The configuration options for this driver, specified as either an `Options` or `webdriver.Capabilities`, or as a raw hash object.

opt_flow`?webdriver.promise.ControlFlow=`

  The flow to schedule commands through. Defaults to the active flow object.

## Instance Methods

### quit()code »

Overrides: webdriver.WebDriver

### setFileDetector()code »

This function is a no-op as file detectors are not supported by this implementation.

Overrides: webdriver.WebDriver